---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List text templates

Show all receipt related text template settings

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Setting",
      "description": "Settings represents the application's configurations."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v2/settings/text-templates": {
      "get": {
        "tags": [
          "Setting"
        ],
        "operationId": "settings.text-templates.v2",
        "summary": "List text templates",
        "description": "Show all receipt related text template settings",
        "responses": {
          "200": {
            "description": "Object of all text template settings",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "offer",
                        "order",
                        "invoice",
                        "delivery_note",
                        "credit_note",
                        "purchase_order",
                        "work_report",
                        "commission_credit_note",
                        "proforma_invoice",
                        "misc"
                      ],
                      "description": "Text template settings object",
                      "properties": {
                        "offer": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Offer related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Offer text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Offer text at the end (HTML formatted)",
                              "example": "{IF}{GUELTIGBIS}{THEN}Offer is valid until: {GUELTIGBIS}{ELSE}{ENDIF}<br /><br />This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for offers",
                              "example": false
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br/><br/>Some text before product table",
                            "footer": "{IF}{GUELTIGBIS}{THEN}Offer is valid until: {GUELTIGBIS}{ELSE}{ENDIF}<br /><br />This form was created automatically",
                            "disable_stationary": false
                          }
                        },
                        "order": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Order related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Sales Order text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Sales Order text at the end (HTML formatted)",
                              "example": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for orders",
                              "example": false
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br/><br/>Some text before product table",
                            "footer": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically",
                            "disable_stationary": false
                          }
                        },
                        "invoice": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Invoice related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Invoice text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Invoice text at the end (HTML formatted)",
                              "example": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for invoices",
                              "example": false
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br/><br/>Some text before product table",
                            "footer": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically\"",
                            "disable_stationary": false
                          }
                        },
                        "delivery_note": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Delivery Note related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Delivery Note text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Delivery Note text at the end (HTML formatted)",
                              "example": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for Delivery Notes",
                              "example": false
                            },
                            "eu_delivery_note": {
                              "type": "string",
                              "nullable": false,
                              "description": "EU delivery note text",
                              "example": "Tax-exempt according to §4 No.1 in conjunction with §6 ..."
                            },
                            "export_delivery_note": {
                              "type": "string",
                              "nullable": false,
                              "description": "Export delivery note text outside to EU",
                              "example": "Tax-excempt in 3rd party country"
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br /><br />we deliver::<br /><br />{IF}{TRACKINGNUMMER}{THEN}Tracking-Number/n:{TRACKINGNUMMER}{ELSE}{ENDIF}<br />&nbsp;",
                            "footer": "Dieses Formular wurde maschinell erstellt und ist ohne Unterschrift gültig.",
                            "disable_stationary": false,
                            "eu_delivery_note": "Tax-exempt according to §4 No.1 in conjunction with §6 ...",
                            "export_delivery_note": "Tax-excempt in 3rd party country"
                          }
                        },
                        "credit_note": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Credit Note related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Credit Note text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Credit Note text at the end (HTML formatted)",
                              "example": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for credit notes",
                              "example": false
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br /><br />some text:",
                            "footer": "This form was created automatically",
                            "disable_stationary": false
                          }
                        },
                        "purchase_order": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer"
                          ],
                          "description": "Purchase Order related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Purchase Order text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Purchase Order text at the end (HTML formatted)",
                              "example": "This form was created automatically"
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br /><br />we order now:<br /><br />Our order number:: {BESTELLUNGBESTAETIGTABNUMMER}<br /><strong>Deliver Address: </strong>{LIEFERADRESSELANG}",
                            "footer": "This form was created automaticallyThis form was created automatically"
                          }
                        },
                        "work_report": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Work Report related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Work Report text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Work Report text at the end (HTML formatted)",
                              "example": "This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for Work Reports",
                              "example": false
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br /><br />we deliver following:",
                            "footer": "This form was created automatically",
                            "disable_stationary": false
                          }
                        },
                        "commission_credit_note": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer"
                          ],
                          "description": "Commission Credit Note related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Commission Credit Note text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Commission Credit Note text at the end (HTML formatted)",
                              "example": "This form was created automatically"
                            }
                          },
                          "example": {
                            "header": "{ANSCHREIBEN},<br /><br />,",
                            "footer": "This form was created automaticallyThis form was created automatically"
                          }
                        },
                        "proforma_invoice": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "header",
                            "footer",
                            "disable_stationary"
                          ],
                          "description": "Proforma Invoice related text template settings",
                          "properties": {
                            "header": {
                              "type": "string",
                              "nullable": false,
                              "description": "Proforma Invoice text above the product table (HTML formatted)",
                              "example": "{ANSCHREIBEN},<br/><br/>Some text before product table"
                            },
                            "footer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Proforma Invoice text at the end (HTML formatted)",
                              "example": "This form was created automatically"
                            },
                            "disable_stationary": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for Proforma Invoices",
                              "example": false
                            }
                          },
                          "example": {
                            "header": "{IF}{USTID}{THEN}Your VAT ID:{USTID}{ELSE}{ENDIF}<br />&nbsp;",
                            "footer": "This form was created automatically",
                            "disable_stationary": false
                          }
                        },
                        "misc": {
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "travel_expenses_without_letterhead",
                            "footer_order_offer",
                            "footer_order_offer_enabled",
                            "footer_order_order",
                            "footer_order_order_enabled",
                            "footer_order_invoice",
                            "footer_order_invoice_enabled",
                            "footer_order_credit_note",
                            "footer_order_credit_note_enabled",
                            "footer_order_delivery_note",
                            "footer_order_delivery_note_enabled",
                            "footer_order_purchase_order",
                            "footer_order_purchase_order_enabled",
                            "footer_order_proforma_invoice",
                            "footer_order_proforma_invoice_enabled"
                          ],
                          "description": "Additional text template settings",
                          "properties": {
                            "travel_expenses_without_letterhead": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Disable letterhead and logo for travel expenses",
                              "example": true
                            },
                            "footer_order_offer": {
                              "type": "string",
                              "nullable": false,
                              "description": "Offer order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_offer_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for offers",
                              "example": true
                            },
                            "footer_order_order": {
                              "type": "string",
                              "nullable": false,
                              "description": "Sales Order order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_order_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for orders",
                              "example": true
                            },
                            "footer_order_invoice": {
                              "type": "string",
                              "nullable": false,
                              "description": "Invoice order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_invoice_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for invoices",
                              "example": true
                            },
                            "footer_order_credit_note": {
                              "type": "string",
                              "nullable": false,
                              "description": "Credit Note order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_credit_note_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for credit notes",
                              "example": true
                            },
                            "footer_order_delivery_note": {
                              "type": "string",
                              "nullable": false,
                              "description": "Delivery Note order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_delivery_note_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for delivery notes",
                              "example": true
                            },
                            "footer_order_purchase_order": {
                              "type": "string",
                              "nullable": false,
                              "description": "Purchase Order order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_purchase_order_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for purchase orders",
                              "example": true
                            },
                            "footer_order_proforma_invoice": {
                              "type": "string",
                              "nullable": false,
                              "description": "Proforma Invoice order according to table",
                              "example": "{FOOTERFREITEXT}{FOOTERTEXTVORLAGEANGEBOT}{FOOTERZAHLUNGSWEISETEXT}"
                            },
                            "footer_order_proforma_invoice_enabled": {
                              "type": "boolean",
                              "nullable": false,
                              "description": "Activate your own sequence for proforma invoices",
                              "example": true
                            }
                          },
                          "example": {
                            "travel_expenses_without_letterhead": false,
                            "footer_order_offer": "",
                            "footer_order_offer_enabled": false,
                            "footer_order_order": "",
                            "footer_order_order_enabled": false,
                            "footer_order_invoice": "",
                            "footer_order_invoice_enabled": false,
                            "footer_order_credit_note": "",
                            "footer_order_credit_note_enabled": false,
                            "footer_order_delivery_note": "",
                            "footer_order_delivery_note_enabled": false,
                            "footer_order_purchase_order": "",
                            "footer_order_purchase_order_enabled": false,
                            "footer_order_proforma_invoice": "",
                            "footer_order_proforma_invoice_enabled": false
                          }
                        }
                      },
                      "example": {
                        "offer": {
                          "header": "{ANSCHREIBEN},<br/><br/>Some text before product table",
                          "footer": "{IF}{GUELTIGBIS}{THEN}Offer is valid until: {GUELTIGBIS}{ELSE}{ENDIF}<br /><br />This form was created automatically",
                          "disable_stationary": false
                        },
                        "order": {
                          "header": "{ANSCHREIBEN},<br/><br/>Some text before product table",
                          "footer": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically",
                          "disable_stationary": false
                        },
                        "invoice": {
                          "header": "{ANSCHREIBEN},<br/><br/>Some text before product table",
                          "footer": "{IF}{LIEFERADRESSE}{THEN}<strong>Delivery Address:</strong><br />{LIEFERADRESSE}{ELSE}{ENDIF}<br /><br />This form was created automatically\"",
                          "disable_stationary": false
                        },
                        "delivery_note": {
                          "header": "{ANSCHREIBEN},<br /><br />we deliver::<br /><br />{IF}{TRACKINGNUMMER}{THEN}Tracking-Number/n:{TRACKINGNUMMER}{ELSE}{ENDIF}<br />&nbsp;",
                          "footer": "Dieses Formular wurde maschinell erstellt und ist ohne Unterschrift gültig.",
                          "disable_stationary": false,
                          "eu_delivery_note": "Tax-exempt according to §4 No.1 in conjunction with §6 ...",
                          "export_delivery_note": "Tax-excempt in 3rd party country"
                        },
                        "credit_note": {
                          "header": "{ANSCHREIBEN},<br /><br />some text:",
                          "footer": "This form was created automatically",
                          "disable_stationary": false
                        },
                        "purchase_order": {
                          "header": "{ANSCHREIBEN},<br /><br />we order now:<br /><br />Our order number:: {BESTELLUNGBESTAETIGTABNUMMER}<br /><strong>Deliver Address: </strong>{LIEFERADRESSELANG}",
                          "footer": "This form was created automaticallyThis form was created automatically"
                        },
                        "work_report": {
                          "header": "{ANSCHREIBEN},<br /><br />we deliver following:",
                          "footer": "This form was created automatically",
                          "disable_stationary": false
                        },
                        "commission_credit_note": {
                          "header": "{ANSCHREIBEN},<br /><br />,",
                          "footer": "This form was created automaticallyThis form was created automatically"
                        },
                        "proforma_invoice": {
                          "header": "{IF}{USTID}{THEN}Your VAT ID:{USTID}{ELSE}{ENDIF}<br />&nbsp;",
                          "footer": "This form was created automatically",
                          "disable_stationary": false
                        },
                        "misc": {
                          "travel_expenses_without_letterhead": false,
                          "footer_order_offer": "",
                          "footer_order_offer_enabled": false,
                          "footer_order_order": "",
                          "footer_order_order_enabled": false,
                          "footer_order_invoice": "",
                          "footer_order_invoice_enabled": false,
                          "footer_order_credit_note": "",
                          "footer_order_credit_note_enabled": false,
                          "footer_order_delivery_note": "",
                          "footer_order_delivery_note_enabled": false,
                          "footer_order_purchase_order": "",
                          "footer_order_purchase_order_enabled": false,
                          "footer_order_proforma_invoice": "",
                          "footer_order_proforma_invoice_enabled": false
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```